Subject: Re: bug#7777: 24.0.50; incompatible change for `directory-abbrev-alist' not in NEWS
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Fri, 07 Jan 2011 18:01:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Mon, 3 Jan 2011 20:12:33 -0800
> 
> > How about if we change the doc string to not sound like a stringent
> > requirement, but rather as a "note"?
> 
> That would be an improvement, thanks (the manual, likewise).

I fixed it on the emacs-23 branch (revision 100362).

> It would also help to explain why.  Explaining why helps avoid any
> misunderstanding wrt the older "rule", and it helps understand the new "note".

I added a short explanation.

> The other part of this bug is the location of the manual entry: Why the Elisp
> manual?  This is a user option.  If we feel it is important to tell users about
> this in a manual, why wouldn't the Emacs manual be the right one?

Its description in the ELisp manual is due to the fact that the same
node describes the abbreviate-file-name function, which uses this
variable.  As for repeating the description in the user manual, I'm
not sure this variable is important enough.  So I left this part out
of the bugfix.